For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Order
      • GETGet Orders
      • GETGet Order
      • GETGet Shipment
      • GETGet Shipment Timeline
      • POSTBatch Cancel Shipments
      • POSTMark Tracking Uploaded
      • POSTEstimate Delivery Date
    • OpenAPI spec
LogoLogo
API ReferenceOrders

Mark Tracking Uploaded

||View as Markdown|
POST
/2026-01/shipment:batchUpdateTrackingUpload
POST
/2026-01/shipment:batchUpdateTrackingUpload
$curl -X POST https://api.shipbob.com/2026-01/shipment:batchUpdateTrackingUpload \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "is_tracking_uploaded": true,
> "shipment_ids": [
> 100810005
> ]
>}'
1{
2 "results": [
3 {
4 "error": {
5 "code": "string",
6 "message": "string"
7 },
8 "isSuccess": true,
9 "shipmentId": 100810005
10 }
11 ],
12 "summary": {
13 "failed": 0,
14 "successful": 1,
15 "total": 1
16 }
17}
Mark tracking information as synced to your external system for multiple shipments. Use this endpoint after syncing tracking data to update the IsTrackingUploaded flag, preventing these shipments from appearing in future GET /order queries with IsTrackingUploaded=false. <Tip>Use this endpoint if you're filtering orders by is_tracking_uploaded. This allows integrations to acknowledge that shipments have been successfully synced to their system.</Tip>
Was this page helpful?
Previous

Batch Cancel Shipments

Next

Estimate Delivery Date

Built with

Mark tracking information as synced to your external system for multiple shipments. Use this endpoint after syncing tracking data to update the IsTrackingUploaded flag, preventing these shipments from appearing in future GET /order queries with IsTrackingUploaded=false.

Use this endpoint if you’re filtering orders by is_tracking_uploaded. This allows integrations to acknowledge that shipments have been successfully synced to their system.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Request

This endpoint expects an object.
is_tracking_uploadedbooleanOptional

Indicates whether the Shipment was marked with tracking information uploaded to a third-party system where the order originated. Applies to all shipments in shipment_ids

shipment_idslist of integers or nullOptional
Shipment IDs to apply the tracking upload status to

Response

Success
resultslist of objects or null
summaryobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error